This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 14085 - <track> WebVTT tokenizer does not consume U+003E GREATER-THAN SIGN character (>)
Summary: <track> WebVTT tokenizer does not consume U+003E GREATER-THAN SIGN character (>)
Status: RESOLVED FIXED
Alias: None
Product: WHATWG
Classification: Unclassified
Component: HTML (show other bugs)
Version: unspecified
Hardware: Other other
: P3 blocker
Target Milestone: Unsorted
Assignee: Ian 'Hixie' Hickson
QA Contact: contributor
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-08 14:18 UTC by contributor
Modified: 2012-07-18 18:41 UTC (History)
5 users (show)

See Also:


Attachments

Description contributor 2011-09-08 14:18:02 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/the-video-element.html
Multipage: http://www.whatwg.org/C#webvtt-cue-text-parsing-rules
Complete: http://www.whatwg.org/c#webvtt-cue-text-parsing-rules

Comment:
WebVTT tokenizer does not consume U+003C LESS-THAN SIGN (<)

Posted from: 83.218.67.122 by philipj@opera.com
User agent: Opera/9.80 (X11; Linux x86_64; U; Edition Next; en) Presto/2.9.186 Version/12.00
Comment 1 Philip J├Ągenstedt 2011-09-08 14:21:28 UTC
The steps for U+003E GREATER-THAN SIGN character (>) say "abort these steps", skipping over step 8 to advance the position in input. As a result, the > will become part of the text that follow, e.g. <i>Hello would cause getCueAsHTML() to return a DOM looking like <i>&gt;Hello.
Comment 2 Ian 'Hixie' Hickson 2011-09-10 04:34:21 UTC
Sounds like a mere oversight. If so, it should be a trivial fix.
Comment 3 Ian 'Hixie' Hickson 2011-09-14 22:13:06 UTC
> WebVTT tokenizer does not consume U+003C LESS-THAN SIGN (<)

I don't follow.


> The steps for U+003E GREATER-THAN SIGN character (>) say "abort these steps",
> skipping over step 8 to advance the position in input. As a result, the > will
> become part of the text that follow, e.g. <i>Hello would cause getCueAsHTML()
> to return a DOM looking like <i>&gt;Hello.

This is now fixed.
Comment 4 contributor 2011-09-14 22:14:28 UTC
Checked in as WHATWG revision r6553.
Check-in comment: Fix the WebVTT parser to not litter the output with > characters
http://html5.org/tools/web-apps-tracker?from=6552&to=6553
Comment 5 Philip J├Ągenstedt 2011-09-15 06:45:37 UTC
(In reply to comment #3)
> > WebVTT tokenizer does not consume U+003C LESS-THAN SIGN (<)
> 
> I don't follow.

That was copypasta.